Subject: bug#51001: 28.0.50; [feature/pgtk] Wrong modifier used as meta with pgtk

From: Tom Hughes <[email-masked]>
Date: Mon, 04 Oct 2021 08:51:26 +0100

I have "Meta is mapped to Left Win" selected in gnome-tweak-tool
which adds "altwin:left_meta_win" to xkb-options in gsettings and
causes xmodmap (via Xwayland) to report Meta_L as mapped to mod4.

That works fine in a traditional emacs and causes left Alt to be
recognised as an alt modified but with pgtk left Alt is being
treated as meta instead and I've been unable to find any way to
make it be recognised as alt.

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.30, cairo version 1.17.4)
 of 2021-10-04 built on bericote.compton.nu
Repository revision: 4c49ec7f865bdad1629d2f125f71f4e506b258f2
Repository branch: feature/pgtk
Windowing system distributor 'System Description: Fedora 34 (Thirty Four)

Configured using:
 'configure --with-pgtk --prefix=/var/tmp/emacs 'CFLAGS=-O2 -march=native''